Get delegators by operator address
curl --request GET \
--url https://api.rated.network/v1/eigenlayer/entities/{operator_address}/delegations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eigenlayer/entities/{operator_address}/delegations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eigenlayer/entities/{operator_address}/delegations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://endpoint?limit=10&offset=10",
"pages": 10,
"previous": "https://endpoint?limit=10&offset=10",
"results": {
"0xfff1ce616cf83327981bf61396ad0c04e0c8b771": [
[
{
"delegator": "0xfff1ce616cf83327981bf61396ad0c04e0c8b771",
"fromDate": "2024-10-01T18:13:27.584133",
"operator": [
{
"address": "0x74134d0c91798d720a5585364bb4be7396c5b973",
"name": "Bob the Operator"
}
]
}
],
{
"delegator": "0xfff1ce616cf83327981bf61396ad0c04e0c8b771",
"fromDate": "2024-03-28T18:13:27.584133",
"operator": {
"address": "0x1534d0c91798d720a5585364bb4be7396c5b973",
"name": "Patrick the Postman"
},
"toDate": "2024-09-21T18:13:27.584133"
}
]
}
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Metadata
Get delegators by operator address
This endpoint returns the delegation history of delegators to an operator address
GET
/
v1
/
eigenlayer
/
entities
/
{operator_address}
/
delegations
Get delegators by operator address
This endpoint behaves similar to
GET /v1/eigenlayer/delegators/\{delegator\_address}/delegations endpoint, except that is acts at an operator level. By querying the endpoint using an operator’s specific address, you can see the history of delegators that have delegated to this operator. Delegations wherein toDate is None means those are active.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
Required range:
x >= 0The number of results to skip before starting to return
Required range:
x >= 0